﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SLStyle
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            ChangeStyle("/Styles/RedDic.xaml");
        }

        private void ChangeStyle(string Url)
        {
            ResourceDictionary redDic = new ResourceDictionary();
            redDic.Source = new Uri("/SLStyle;component" + Url, UriKind.RelativeOrAbsolute);
            Application.Current.Resources.MergedDictionaries.Clear();
            Application.Current.Resources.MergedDictionaries.Add(redDic);
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            ChangeStyle("/Styles/RedDic.xaml");
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            ChangeStyle("/Styles/BlueDic.xaml");
        }

        private void button3_Click(object sender, RoutedEventArgs e)
        {
            ChangeStyle("/Styles/GreenDic.xaml");
        }

        private void button6_Click(object sender, RoutedEventArgs e)
        {
            ChangeStyle("/SysStyles/System.Windows.Controls.Theming.SystemColors.xaml");
        }

        private void button4_Click(object sender, RoutedEventArgs e)
        {
            ChangeStyle("/SysStyles/System.Windows.Controls.Theming.TwilightBlue.xaml");
        }

        private void button5_Click(object sender, RoutedEventArgs e)
        {
            ChangeStyle("/SysStyles/System.Windows.Controls.Theming.WhistlerBlue.xaml");
        }
    }
}
